FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202009161309.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202009161309.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=8aa8e5897250f19635c12c56280f4b1fa1b96597 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=11+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.11.7-beta.0.0.20181219023948-b875d52ea96d+8aa8e58 OS_GIT_COMMIT=8aa8e58 OS_GIT_VERSION=4.4.0-202009161309.p0-8aa8e58 SOURCE_DATE_EPOCH=1599867144 SOURCE_GIT_COMMIT=8aa8e5897250f19635c12c56280f4b1fa1b96597 SOURCE_GIT_TAG=8aa8e589 SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
WORKDIR /go/src/github.com/openshift/sriov-network-operator
COPY . .
RUN make _build-sriov-network-config-daemon BIN_PATH=build/_output/cmd
RUN make plugins BIN_PATH=build/_output/pkg

FROM openshift/ose-base:v4.4.0.20200916.134502
ENV __doozer=update BUILD_RELEASE=202009161309.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202009161309.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=8aa8e5897250f19635c12c56280f4b1fa1b96597 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=11+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.11.7-beta.0.0.20181219023948-b875d52ea96d+8aa8e58 OS_GIT_COMMIT=8aa8e58 OS_GIT_VERSION=4.4.0-202009161309.p0-8aa8e58 SOURCE_DATE_EPOCH=1599867144 SOURCE_GIT_COMMIT=8aa8e5897250f19635c12c56280f4b1fa1b96597 SOURCE_GIT_TAG=8aa8e589 SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
RUN yum -y update && ARCH_DEP_PKGS=$(if [ "$(uname -m)" != "s390x" ]; then echo -n mstflint ; fi) && yum -y install hwdata $ARCH_DEP_PKGS && yum clean all
COPY --from=builder /go/src/github.com/openshift/sriov-network-operator/build/_output/cmd/sriov-network-config-daemon /usr/bin/
COPY --from=builder /go/src/github.com/openshift/sriov-network-operator/build/_output/pkg/plugins /plugins
COPY bindata /bindata
ENV PLUGINSPATH=/plugins
CMD ["/usr/bin/sriov-network-config-daemon"]

LABEL \
        io.k8s.display-name="OpenShift sriov-network-config-daemon" \
        io.k8s.description="This is a daemon that manage and config sriov network devices in Openshift cluster" \
        io.openshift.tags="openshift,networking,sr-iov" \
        maintainer="Multus team <multus-dev@redhat.com>" \
        name="openshift/ose-sriov-network-config-daemon" \
        com.redhat.component="sriov-network-config-daemon-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202009161309.p0" \
        io.openshift.build.commit.id="8aa8e5897250f19635c12c56280f4b1fa1b96597" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-network-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-network-operator/commit/8aa8e5897250f19635c12c56280f4b1fa1b96597" \
        version="v4.4.0"

